{% extends 'base.html.twig' %}
{% block topbar %}
    {{ parent() }}
    {% include 'topbar/choix_topbar2.html.twig' %}
    {% include topbar3 %}
{% endblock %}
{% block body %}

    <div class="container-fluid">
        <div class="col-md-12" style="margin-bottom: 20px">
            <h3>Mails recus</h3>
        </div>
        <div class="col-md-2">
            <ul class="list-group">
                <li class="list-group-item active">
                    Labels
                </li>
                {% for label in labels %}
                    <li style = "cursor: pointer" class="list-group-item label_item" id="{{label.id }}"><span class="badge">{{ label.messagesTotal }}</span>{{ label.name }}</li>
                    {% endfor %}
            </ul>
        </div>
    </div>
    <script>
        $(document).ready(function () {
            $('.label_item').click(function () {
                $.ajax(location.href + '/getMailsFromLabel/' + $(this).attr('id')).done(function (data) {
                    if (data == "nonAuth")
                        alert('Erreur, vous n\'êtes pas authentifié auprès de google, essayez d\'actualiser la page');
                    else
                        displayMails(data);
                });
            });
        });

    </script>
{% endblock %}